492913eeee5652fd9e51827ed84f405c740cca7d
[scilab.git] / scilab / modules / mpi / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2011 - DIGITEO - Sylvestre LEDRU
19 #
20 # Copyright (C) 2012 - 2016 - Scilab Enterprises
21 #
22 # This file is hereby licensed under the terms of the GNU GPL v2.0,
23 # pursuant to article 5.3.4 of the CeCILL v.2.1.
24 # This file was originally licensed under the terms of the CeCILL v2.1,
25 # and continues to be available under such terms.
26 # For more information, see the COPYING file which you should have received
27 # along with this program.
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # Copyright (C) 2012 - 2016 - Scilab Enterprises
34 #
35 # This file is hereby licensed under the terms of the GNU GPL v2.0,
36 # pursuant to article 5.3.4 of the CeCILL v.2.1.
37 # This file was originally licensed under the terms of the CeCILL v2.1,
38 # and continues to be available under such terms.
39 # For more information, see the COPYING file which you should have received
40 # along with this program.
41 #
42
43 ##########
44 ### Makefile included stuff
45 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
46 ##########
47
48
49
50 VPATH = @srcdir@
51 am__is_gnu_make = { \
52   if test -z '$(MAKELEVEL)'; then \
53     false; \
54   elif test -n '$(MAKE_HOST)'; then \
55     true; \
56   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
57     true; \
58   else \
59     false; \
60   fi; \
61 }
62 am__make_running_with_option = \
63   case $${target_option-} in \
64       ?) ;; \
65       *) echo "am__make_running_with_option: internal error: invalid" \
66               "target option '$${target_option-}' specified" >&2; \
67          exit 1;; \
68   esac; \
69   has_opt=no; \
70   sane_makeflags=$$MAKEFLAGS; \
71   if $(am__is_gnu_make); then \
72     sane_makeflags=$$MFLAGS; \
73   else \
74     case $$MAKEFLAGS in \
75       *\\[\ \   ]*) \
76         bs=\\; \
77         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
78           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
79     esac; \
80   fi; \
81   skip_next=no; \
82   strip_trailopt () \
83   { \
84     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
85   }; \
86   for flg in $$sane_makeflags; do \
87     test $$skip_next = yes && { skip_next=no; continue; }; \
88     case $$flg in \
89       *=*|--*) continue;; \
90         -*I) strip_trailopt 'I'; skip_next=yes;; \
91       -*I?*) strip_trailopt 'I';; \
92         -*O) strip_trailopt 'O'; skip_next=yes;; \
93       -*O?*) strip_trailopt 'O';; \
94         -*l) strip_trailopt 'l'; skip_next=yes;; \
95       -*l?*) strip_trailopt 'l';; \
96       -[dEDm]) skip_next=yes;; \
97       -[JT]) skip_next=yes;; \
98     esac; \
99     case $$flg in \
100       *$$target_option*) has_opt=yes; break;; \
101     esac; \
102   done; \
103   test $$has_opt = yes
104 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
105 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
106 pkgdatadir = $(datadir)/@PACKAGE@
107 pkgincludedir = $(includedir)/@PACKAGE@
108 pkglibdir = $(libdir)/@PACKAGE@
109 pkglibexecdir = $(libexecdir)/@PACKAGE@
110 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
111 install_sh_DATA = $(install_sh) -c -m 644
112 install_sh_PROGRAM = $(install_sh) -c
113 install_sh_SCRIPT = $(install_sh) -c
114 INSTALL_HEADER = $(INSTALL_DATA)
115 transform = $(program_transform_name)
116 NORMAL_INSTALL = :
117 PRE_INSTALL = :
118 POST_INSTALL = :
119 NORMAL_UNINSTALL = :
120 PRE_UNINSTALL = :
121 POST_UNINSTALL = :
122 build_triplet = @build@
123 host_triplet = @host@
124 @NEED_JAVA_TRUE@am__append_1 = java
125 subdir = modules/mpi
126 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
128         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
129         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
130         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
131         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
132         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
133         $(top_srcdir)/m4/intel_compiler.m4 \
134         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
135         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
136         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
137         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
138         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
139         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
140         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
141         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
142         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
143         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
144         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
145 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
146         $(ACLOCAL_M4)
147 DIST_COMMON = $(srcdir)/Makefile.am $(libscimpi_la_include_HEADERS) \
148         $(am__DIST_COMMON)
149 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
150 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
151 CONFIG_CLEAN_FILES =
152 CONFIG_CLEAN_VPATH_FILES =
153 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
154 am__vpath_adj = case $$p in \
155     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
156     *) f=$$p;; \
157   esac;
158 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
159 am__install_max = 40
160 am__nobase_strip_setup = \
161   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
162 am__nobase_strip = \
163   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
164 am__nobase_list = $(am__nobase_strip_setup); \
165   for p in $$list; do echo "$$p $$p"; done | \
166   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
167   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
168     if (++n[$$2] == $(am__install_max)) \
169       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
170     END { for (dir in files) print dir, files[dir] }'
171 am__base_list = \
172   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
173   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
174 am__uninstall_files_from_dir = { \
175   test -z "$$files" \
176     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
177     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
178          $(am__cd) "$$dir" && rm -f $$files; }; \
179   }
180 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
181         "$(DESTDIR)$(libscimpi_la_etcdir)" \
182         "$(DESTDIR)$(libscimpi_la_rootdir)" \
183         "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" \
184         "$(DESTDIR)$(libscimpi_la_includedir)"
185 LTLIBRARIES = $(pkglib_LTLIBRARIES)
186 am__DEPENDENCIES_1 =
187 libscimpi_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
188 am__dirstamp = $(am__leading_dot)dirstamp
189 am__objects_1 = sci_gateway/c/libscimpi_la-sci_mpi_init.lo \
190         sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo \
191         sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo \
192         sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo \
193         sci_gateway/c/libscimpi_la-sci_mpi_recv.lo \
194         sci_gateway/c/libscimpi_la-sci_mpi_send.lo \
195         sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo \
196         sci_gateway/c/libscimpi_la-sci_mpi_isend.lo \
197         sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo \
198         sci_gateway/c/libscimpi_la-sci_mpi_wait.lo \
199         sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo
200 am__objects_2 = src/c/libscimpi_la-serialization.lo \
201         src/c/libscimpi_la-deserialization.lo
202 am_libscimpi_la_OBJECTS = $(am__objects_1) $(am__objects_2)
203 libscimpi_la_OBJECTS = $(am_libscimpi_la_OBJECTS)
204 AM_V_lt = $(am__v_lt_@AM_V@)
205 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
206 am__v_lt_0 = --silent
207 am__v_lt_1 = 
208 libscimpi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libscimpi_la_CFLAGS) \
210         $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
211 AM_V_P = $(am__v_P_@AM_V@)
212 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
213 am__v_P_0 = false
214 am__v_P_1 = :
215 AM_V_GEN = $(am__v_GEN_@AM_V@)
216 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
217 am__v_GEN_0 = @echo "  GEN     " $@;
218 am__v_GEN_1 = 
219 AM_V_at = $(am__v_at_@AM_V@)
220 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
221 am__v_at_0 = @
222 am__v_at_1 = 
223 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
224 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
225 am__depfiles_maybe = depfiles
226 am__mv = mv -f
227 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
228         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
229 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
230         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
231         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
232         $(AM_CFLAGS) $(CFLAGS)
233 AM_V_CC = $(am__v_CC_@AM_V@)
234 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
235 am__v_CC_0 = @echo "  CC      " $@;
236 am__v_CC_1 = 
237 CCLD = $(CC)
238 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
239         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
240         $(AM_LDFLAGS) $(LDFLAGS) -o $@
241 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
242 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
243 am__v_CCLD_0 = @echo "  CCLD    " $@;
244 am__v_CCLD_1 = 
245 SOURCES = $(libscimpi_la_SOURCES)
246 DIST_SOURCES = $(libscimpi_la_SOURCES)
247 am__can_run_installinfo = \
248   case $$AM_UPDATE_INFO_DIR in \
249     n|no|NO) false;; \
250     *) (install-info --version) >/dev/null 2>&1;; \
251   esac
252 DATA = $(libscimpi_la_etc_DATA) $(libscimpi_la_root_DATA) \
253         $(libscimpi_la_sci_gateway_DATA)
254 HEADERS = $(libscimpi_la_include_HEADERS)
255 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
256 # Read a list of newline-separated strings from the standard input,
257 # and print each of them once, without duplicates.  Input order is
258 # *not* preserved.
259 am__uniquify_input = $(AWK) '\
260   BEGIN { nonempty = 0; } \
261   { items[$$0] = 1; nonempty = 1; } \
262   END { if (nonempty) { for (i in items) print i; }; } \
263 '
264 # Make sure the list of sources is unique.  This is necessary because,
265 # e.g., the same source file might be shared among _SOURCES variables
266 # for different programs/libraries.
267 am__define_uniq_tagged_files = \
268   list='$(am__tagged_files)'; \
269   unique=`for i in $$list; do \
270     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
271   done | $(am__uniquify_input)`
272 ETAGS = etags
273 CTAGS = ctags
274 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
275         $(top_srcdir)/config/depcomp \
276         $(top_srcdir)/config/mkinstalldirs TODO
277 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
278 ACLOCAL = @ACLOCAL@
279 ALL_LINGUAS = @ALL_LINGUAS@
280 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
281 AMTAR = @AMTAR@
282 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
283 ANT = @ANT@
284 ANTLR = @ANTLR@
285 AR = @AR@
286 ARPACK_LIBS = @ARPACK_LIBS@
287 ASM3 = @ASM3@
288 AUTOCONF = @AUTOCONF@
289 AUTOHEADER = @AUTOHEADER@
290 AUTOMAKE = @AUTOMAKE@
291 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
292 AWK = @AWK@
293 BATIK = @BATIK@
294 BLAS_CFLAGS = @BLAS_CFLAGS@
295 BLAS_LIBS = @BLAS_LIBS@
296
297 # Includes need for the compilation
298 # MPI code needs to be compile with the openmpi 'compiler' (it is a wrapper)
299 CC = $(OPENMPI_CC)
300 CCACHE = @CCACHE@
301 CCDEPMODE = @CCDEPMODE@
302 CFLAGS = @CFLAGS@
303 CHECKSTYLE = @CHECKSTYLE@
304 COBERTURA = @COBERTURA@
305 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
306 COMMONS_IO = @COMMONS_IO@
307 COMMONS_LOGGING = @COMMONS_LOGGING@
308 CPP = @CPP@
309 CPPFLAGS = @CPPFLAGS@
310 CURL_CFLAGS = @CURL_CFLAGS@
311 CURL_CONFIG = @CURL_CONFIG@
312 CURL_LIBS = @CURL_LIBS@
313 CURL_VERSION = @CURL_VERSION@
314 CXX = @CXX@
315 CXXCPP = @CXXCPP@
316 CXXDEPMODE = @CXXDEPMODE@
317 CXXFLAGS = @CXXFLAGS@
318 CYGPATH_W = @CYGPATH_W@
319 DEFS = @DEFS@
320 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
321 DEPDIR = @DEPDIR@
322 DLLTOOL = @DLLTOOL@
323 DOCBOOK_ROOT = @DOCBOOK_ROOT@
324 DOXYGEN_BIN = @DOXYGEN_BIN@
325 DSYMUTIL = @DSYMUTIL@
326 DUMPBIN = @DUMPBIN@
327 ECHO_C = @ECHO_C@
328 ECHO_N = @ECHO_N@
329 ECHO_T = @ECHO_T@
330 ECJ = @ECJ@
331 EGREP = @EGREP@
332 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
333 EXEEXT = @EXEEXT@
334 F77 = @F77@
335 FFLAGS = @FFLAGS@
336 FFTW3_LIB = @FFTW3_LIB@
337 FFTW_ENABLE = @FFTW_ENABLE@
338 FGREP = @FGREP@
339 FLEXDOCK = @FLEXDOCK@
340 FLIBS = @FLIBS@
341 FOP = @FOP@
342 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
343 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
344 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
345 FREEHEP_IO = @FREEHEP_IO@
346 FREEHEP_UTIL = @FREEHEP_UTIL@
347 GENHTML = @GENHTML@
348 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
349 GIWS_BIN = @GIWS_BIN@
350 GLUEGEN2_RT = @GLUEGEN2_RT@
351 GMSGFMT = @GMSGFMT@
352 GMSGFMT_015 = @GMSGFMT_015@
353 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
354 GREP = @GREP@
355 GUI_ENABLE = @GUI_ENABLE@
356 HAMCREST = @HAMCREST@
357 HAVE_CXX11 = @HAVE_CXX11@
358 HDF5_CFLAGS = @HDF5_CFLAGS@
359 HDF5_LIBS = @HDF5_LIBS@
360 HELP_ENABLE = @HELP_ENABLE@
361 INSTALL = @INSTALL@
362 INSTALL_DATA = @INSTALL_DATA@
363 INSTALL_PROGRAM = @INSTALL_PROGRAM@
364 INSTALL_SCRIPT = @INSTALL_SCRIPT@
365 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
366 INTLLIBS = @INTLLIBS@
367 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
368 JAR = @JAR@
369 JAVA = @JAVA@
370 JAVAC = @JAVAC@
371 JAVAC_DEBUG = @JAVAC_DEBUG@
372 JAVADOC = @JAVADOC@
373 JAVAH = @JAVAH@
374 JAVASCI_ENABLE = @JAVASCI_ENABLE@
375 JAVA_ENABLE = @JAVA_ENABLE@
376 JAVA_G = @JAVA_G@
377 JAVA_HOME = @JAVA_HOME@
378 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
379 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
380 JDB = @JDB@
381 JEUCLID_CORE = @JEUCLID_CORE@
382 JGRAPHX = @JGRAPHX@
383 JHALL = @JHALL@
384 JLATEXMATH = @JLATEXMATH@
385 JLATEXMATH_FOP = @JLATEXMATH_FOP@
386 JOGL2 = @JOGL2@
387 JROSETTA_API = @JROSETTA_API@
388 JROSETTA_ENGINE = @JROSETTA_ENGINE@
389 JUNIT4 = @JUNIT4@
390 LAPACK_LIBS = @LAPACK_LIBS@
391 LCOV = @LCOV@
392 LD = @LD@
393 LDFLAGS = @LDFLAGS@
394 LEX = @LEX@
395 LEXLIB = @LEXLIB@
396 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
397 LIBICONV = @LIBICONV@
398 LIBINTL = @LIBINTL@
399 LIBM = @LIBM@
400 LIBOBJS = @LIBOBJS@
401 LIBS = @LIBS@
402 LIBTOOL = @LIBTOOL@
403 LIPO = @LIPO@
404 LN_S = @LN_S@
405 LOGGING_LEVEL = @LOGGING_LEVEL@
406 LOOKS = @LOOKS@
407 LTLIBICONV = @LTLIBICONV@
408 LTLIBINTL = @LTLIBINTL@
409 LTLIBOBJS = @LTLIBOBJS@
410 MAINT = @MAINT@
411 MAKEINFO = @MAKEINFO@
412 MANIFEST_TOOL = @MANIFEST_TOOL@
413 MATIO_CFLAGS = @MATIO_CFLAGS@
414 MATIO_ENABLE = @MATIO_ENABLE@
415 MATIO_LIBS = @MATIO_LIBS@
416 MKDIR_P = @MKDIR_P@
417 MPI_ENABLE = @MPI_ENABLE@
418 MSGCAT = @MSGCAT@
419 MSGFMT = @MSGFMT@
420 MSGFMT_015 = @MSGFMT_015@
421 MSGMERGE = @MSGMERGE@
422 NM = @NM@
423 NMEDIT = @NMEDIT@
424 OBJDUMP = @OBJDUMP@
425 OBJEXT = @OBJEXT@
426 OCAMLC = @OCAMLC@
427 OCAMLDEP = @OCAMLDEP@
428 OCAMLLEX = @OCAMLLEX@
429 OCAMLOPT = @OCAMLOPT@
430 OCAMLYACC = @OCAMLYACC@
431 OPENMPI_CC = @OPENMPI_CC@
432 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
433 OPENMPI_CXX = @OPENMPI_CXX@
434 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
435 OPENMPI_LIBS = @OPENMPI_LIBS@
436 OPENMP_CFLAGS = @OPENMP_CFLAGS@
437 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
438 OPENMP_ENABLE = @OPENMP_ENABLE@
439 OPENMP_LIBS = @OPENMP_LIBS@
440 OTOOL = @OTOOL@
441 OTOOL64 = @OTOOL64@
442 PACKAGE = @PACKAGE@
443 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
444 PACKAGE_NAME = @PACKAGE_NAME@
445 PACKAGE_STRING = @PACKAGE_STRING@
446 PACKAGE_TARNAME = @PACKAGE_TARNAME@
447 PACKAGE_URL = @PACKAGE_URL@
448 PACKAGE_VERSION = @PACKAGE_VERSION@
449 PATH_SEPARATOR = @PATH_SEPARATOR@
450 PCRE_CFLAGS = @PCRE_CFLAGS@
451 PCRE_CONFIG = @PCRE_CONFIG@
452 PCRE_LIBS = @PCRE_LIBS@
453 PCRE_VERSION = @PCRE_VERSION@
454 PKG_CONFIG = @PKG_CONFIG@
455 POSUB = @POSUB@
456 POW_LIB = @POW_LIB@
457 PYTHON = @PYTHON@
458 RANLIB = @RANLIB@
459 RELOCATABLE = @RELOCATABLE@
460 RT_LIB = @RT_LIB@
461 SAXON = @SAXON@
462 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
463 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
464 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
465 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
466 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
467 SCIRENDERER = @SCIRENDERER@
468 SCIRENDERER_CP = @SCIRENDERER_CP@
469 SCI_CFLAGS = @SCI_CFLAGS@
470 SCI_CXXFLAGS = @SCI_CXXFLAGS@
471 SCI_FFLAGS = @SCI_FFLAGS@
472 SCI_LDFLAGS = @SCI_LDFLAGS@
473 SED = @SED@
474 SET_MAKE = @SET_MAKE@
475 SET_RELOCATABLE = @SET_RELOCATABLE@
476 SHELL = @SHELL@
477 SKINLF = @SKINLF@
478 SPLINT = @SPLINT@
479 STRIP = @STRIP@
480 SWIG_BIN = @SWIG_BIN@
481 SWIG_JAVA = @SWIG_JAVA@
482 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
483 SWIG_SCILAB = @SWIG_SCILAB@
484 TCLTK_LIBS = @TCLTK_LIBS@
485 TCL_INC_PATH = @TCL_INC_PATH@
486 TK_INC_PATH = @TK_INC_PATH@
487 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
488 UMFPACK_ENABLE = @UMFPACK_ENABLE@
489 UMFPACK_LIB = @UMFPACK_LIB@
490 USE_NLS = @USE_NLS@
491 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
492 VALGRIND_LIBS = @VALGRIND_LIBS@
493 VERSION = @VERSION@
494 WITH_OCAML = @WITH_OCAML@
495 WITH_TKSCI = @WITH_TKSCI@
496 XCOS_ENABLE = @XCOS_ENABLE@
497 XGETTEXT = @XGETTEXT@
498 XGETTEXT_015 = @XGETTEXT_015@
499 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
500 XMKMF = @XMKMF@
501 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
502 XML_APIS_EXT = @XML_APIS_EXT@
503 XML_CONFIG = @XML_CONFIG@
504 XML_FLAGS = @XML_FLAGS@
505 XML_LIBS = @XML_LIBS@
506 XML_VERSION = @XML_VERSION@
507 X_CFLAGS = @X_CFLAGS@
508 X_EXTRA_LIBS = @X_EXTRA_LIBS@
509 X_LIBS = @X_LIBS@
510 X_PRE_LIBS = @X_PRE_LIBS@
511 YACC = @YACC@
512 YFLAGS = @YFLAGS@
513 abs_builddir = @abs_builddir@
514 abs_srcdir = @abs_srcdir@
515 abs_top_builddir = @abs_top_builddir@
516 abs_top_srcdir = @abs_top_srcdir@
517 ac_ct_AR = @ac_ct_AR@
518 ac_ct_CC = @ac_ct_CC@
519 ac_ct_CXX = @ac_ct_CXX@
520 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
521 ac_ct_F77 = @ac_ct_F77@
522 am__include = @am__include@
523 am__leading_dot = @am__leading_dot@
524 am__quote = @am__quote@
525 am__tar = @am__tar@
526 am__untar = @am__untar@
527 bindir = @bindir@
528 build = @build@
529 build_alias = @build_alias@
530 build_cpu = @build_cpu@
531 build_os = @build_os@
532 build_vendor = @build_vendor@
533 builddir = @builddir@
534 cxx_present = @cxx_present@
535 datadir = @datadir@
536 datarootdir = @datarootdir@
537 docdir = @docdir@
538 dvidir = @dvidir@
539 exec_prefix = @exec_prefix@
540 host = @host@
541 host_alias = @host_alias@
542 host_cpu = @host_cpu@
543 host_os = @host_os@
544 host_vendor = @host_vendor@
545 htmldir = @htmldir@
546 includedir = @includedir@
547 infodir = @infodir@
548 install_sh = @install_sh@
549 libdir = @libdir@
550 libexecdir = @libexecdir@
551 localedir = @localedir@
552 localstatedir = @localstatedir@
553 mandir = @mandir@
554 mkdir_p = @mkdir_p@
555 oldincludedir = @oldincludedir@
556 pdfdir = @pdfdir@
557 prefix = @prefix@
558 program_transform_name = @program_transform_name@
559 psdir = @psdir@
560 sbindir = @sbindir@
561 sharedstatedir = @sharedstatedir@
562 srcdir = @srcdir@
563 sysconfdir = @sysconfdir@
564 target_alias = @target_alias@
565 top_build_prefix = @top_build_prefix@
566 top_builddir = @top_builddir@
567 top_srcdir = @top_srcdir@
568 yacc_present = @yacc_present@
569 MPI_C_SOURCES = src/c/serialization.c \
570     src/c/deserialization.c
571
572
573 # List of the gateway c files
574 GATEWAY_C_SOURCES = \
575     sci_gateway/c/sci_mpi_init.c \
576     sci_gateway/c/sci_mpi_finalize.c \
577     sci_gateway/c/sci_mpi_comm_size.c \
578     sci_gateway/c/sci_mpi_comm_rank.c \
579     sci_gateway/c/sci_mpi_recv.c \
580     sci_gateway/c/sci_mpi_send.c \
581     sci_gateway/c/sci_mpi_irecv.c \
582     sci_gateway/c/sci_mpi_isend.c \
583     sci_gateway/c/sci_mpi_bcast.c \
584     sci_gateway/c/sci_mpi_wait.c \
585     sci_gateway/c/sci_mpi_get_processor_name.c
586
587 libscimpi_la_CFLAGS = -Iincludes/ \
588         -Isrc/c/ \
589         -I$(top_srcdir)/libs/MALLOC/includes/ \
590         -I$(top_srcdir)/modules/ast/includes/ast \
591         -I$(top_srcdir)/modules/ast/includes/operations \
592         -I$(top_srcdir)/modules/ast/includes/types \
593         -I$(top_srcdir)/modules/ast/includes/system_env \
594         -I$(top_srcdir)/modules/output_stream/includes \
595         -I$(top_srcdir)/modules/localization/includes \
596         -I$(top_srcdir)/modules/api_scilab/includes \
597         -I$(top_srcdir)/modules/elementary_functions/includes
598
599
600 # libscimpi_la_LDFLAGS = $(LAMPI_LDFLAGS)
601 libscimpi_la_LIBADD = $(OPENMPI_LIBS)
602
603 # Name of the future library (.la will be replace by .so, .a, etc regarding
604 # the system)
605 pkglib_LTLIBRARIES = libscimpi.la
606
607 # All the sources needed by libscimpi.la
608 libscimpi_la_SOURCES = $(GATEWAY_C_SOURCES)  $(MPI_C_SOURCES)
609 #$(GATEWAY_FORTRAN_SOURCES) $(MPI_FORTRAN_SOURCES)
610
611 #### Target ######
612 modulename = mpi
613
614 #### mpi : Conf files ####
615 libscimpi_la_rootdir = $(mydatadir)
616 libscimpi_la_root_DATA = readme.txt
617
618 #### mpi : init scripts ####
619 libscimpi_la_etcdir = $(mydatadir)/etc
620 libscimpi_la_etc_DATA = etc/mpi.quit etc/mpi.start
621
622 #### mpi : gateway declaration ####
623 libscimpi_la_sci_gatewaydir = $(mydatadir)/sci_gateway
624 libscimpi_la_sci_gateway_DATA = sci_gateway/mpi_gateway.xml
625
626 #### mpi : include files ####
627 libscimpi_la_includedir = $(pkgincludedir)/mpi
628 libscimpi_la_include_HEADERS = includes/gw_mpi.h
629
630 # Where all the Scilab stuff is installed (macros, help, ...)
631 mydatadir = $(pkgdatadir)/modules/$(modulename)
632
633 # Set AM_* SCI detected settings
634 AM_CPPFLAGS = $(SCI_CPPFLAGS)
635 AM_CFLAGS = $(SCI_CFLAGS)
636 AM_CXXFLAGS = $(SCI_CXXFLAGS)
637 # append includes to AM_FFLAGS to manage fortran includes
638 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
639
640 # Tag shared libraries with the Scilab version
641 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
642
643 # splint options
644 SPLINT_OPTIONS = -weak -booltype BOOL
645
646 ########################### JAVA ######################################
647 #### We are delegating java compilation to ant... Thanks to that
648 #### the procedure will be the same with Microsoft Windows (C)
649 #### and Linux/Unix
650 #######################################################################
651 TARGETS_ALL = $(am__append_1)
652
653 ################ MACROS ######################
654 # Rule to build a macro
655 # NOT USED  AT THE MOMENT
656 SUFFIXES = .sci
657
658 ########### INSTALL DOCUMENTATION ###################
659
660 # Install documentation files into the right target
661 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
662 # automake needs the html files to be present which is not the case when
663 # we are building Scilab
664
665 # Where it should be installed
666 pkgdocdir = $(mydatadir)
667
668 # What is the mask of the help source
669 DOCMASKXML = *.xml
670
671 # What is the mask of the MathML sources
672 DOCMASKMML = *.mml
673
674 ########### INSTALL DATA ###################
675 # Install macros, help & demos
676 # Where it should be installed
677 pkgmacrosdir = $(mydatadir)
678 # Which directory we process
679 MACRODIRS = macros/
680 # Mask of the Scilab sources macros
681 MACROMASK = *.sci
682 # Mask of the Scilab executable sources macros
683 MACROBUILDMASK = *.sce
684 # Mask of the Scilab compiled macros
685 MACROBINMASK = *.bin
686 # List of the standard directory for tests
687 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
688 # Where the demos should be installed
689 pkgdemosdir = $(mydatadir)
690 # List of the standard directory for demos
691 DEMOS_DIR = demos
692 # List of the standard directory for examples
693 EXAMPLES_DIR = examples
694 # Where to export JAVA archives (.jar)
695 JARDIR = jar/
696 # JAR files mask
697 JARMASK = *.jar
698 # Chapter file
699 HELP_CHAPTERDIR = help/
700 HELP_CHAPTERFILE = addchapter.sce
701 HELP_CHAPTERLANG = en_US fr_FR pt_BR
702 all: all-am
703
704 .SUFFIXES:
705 .SUFFIXES: .sci .bin .c .lo .o .obj
706 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
707         @for dep in $?; do \
708           case '$(am__configure_deps)' in \
709             *$$dep*) \
710               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
711                 && { if test -f $@; then exit 0; else break; fi; }; \
712               exit 1;; \
713           esac; \
714         done; \
715         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/mpi/Makefile'; \
716         $(am__cd) $(top_srcdir) && \
717           $(AUTOMAKE) --foreign modules/mpi/Makefile
718 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
719         @case '$?' in \
720           *config.status*) \
721             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
722           *) \
723             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
724             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
725         esac;
726 $(top_srcdir)/Makefile.incl.am $(am__empty):
727
728 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
729         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
730
731 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
732         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
733 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
734         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
735 $(am__aclocal_m4_deps):
736
737 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
738         @$(NORMAL_INSTALL)
739         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
740         list2=; for p in $$list; do \
741           if test -f $$p; then \
742             list2="$$list2 $$p"; \
743           else :; fi; \
744         done; \
745         test -z "$$list2" || { \
746           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
747           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
748           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
749           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
750         }
751
752 uninstall-pkglibLTLIBRARIES:
753         @$(NORMAL_UNINSTALL)
754         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
755         for p in $$list; do \
756           $(am__strip_dir) \
757           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
758           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
759         done
760
761 clean-pkglibLTLIBRARIES:
762         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
763         @list='$(pkglib_LTLIBRARIES)'; \
764         locs=`for p in $$list; do echo $$p; done | \
765               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
766               sort -u`; \
767         test -z "$$locs" || { \
768           echo rm -f $${locs}; \
769           rm -f $${locs}; \
770         }
771 sci_gateway/c/$(am__dirstamp):
772         @$(MKDIR_P) sci_gateway/c
773         @: > sci_gateway/c/$(am__dirstamp)
774 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
775         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
776         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
777 sci_gateway/c/libscimpi_la-sci_mpi_init.lo:  \
778         sci_gateway/c/$(am__dirstamp) \
779         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
780 sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo:  \
781         sci_gateway/c/$(am__dirstamp) \
782         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
783 sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo:  \
784         sci_gateway/c/$(am__dirstamp) \
785         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
786 sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo:  \
787         sci_gateway/c/$(am__dirstamp) \
788         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
789 sci_gateway/c/libscimpi_la-sci_mpi_recv.lo:  \
790         sci_gateway/c/$(am__dirstamp) \
791         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
792 sci_gateway/c/libscimpi_la-sci_mpi_send.lo:  \
793         sci_gateway/c/$(am__dirstamp) \
794         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
795 sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo:  \
796         sci_gateway/c/$(am__dirstamp) \
797         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
798 sci_gateway/c/libscimpi_la-sci_mpi_isend.lo:  \
799         sci_gateway/c/$(am__dirstamp) \
800         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
801 sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo:  \
802         sci_gateway/c/$(am__dirstamp) \
803         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
804 sci_gateway/c/libscimpi_la-sci_mpi_wait.lo:  \
805         sci_gateway/c/$(am__dirstamp) \
806         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
807 sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo:  \
808         sci_gateway/c/$(am__dirstamp) \
809         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
810 src/c/$(am__dirstamp):
811         @$(MKDIR_P) src/c
812         @: > src/c/$(am__dirstamp)
813 src/c/$(DEPDIR)/$(am__dirstamp):
814         @$(MKDIR_P) src/c/$(DEPDIR)
815         @: > src/c/$(DEPDIR)/$(am__dirstamp)
816 src/c/libscimpi_la-serialization.lo: src/c/$(am__dirstamp) \
817         src/c/$(DEPDIR)/$(am__dirstamp)
818 src/c/libscimpi_la-deserialization.lo: src/c/$(am__dirstamp) \
819         src/c/$(DEPDIR)/$(am__dirstamp)
820
821 libscimpi.la: $(libscimpi_la_OBJECTS) $(libscimpi_la_DEPENDENCIES) $(EXTRA_libscimpi_la_DEPENDENCIES) 
822         $(AM_V_CCLD)$(libscimpi_la_LINK) -rpath $(pkglibdir) $(libscimpi_la_OBJECTS) $(libscimpi_la_LIBADD) $(LIBS)
823
824 mostlyclean-compile:
825         -rm -f *.$(OBJEXT)
826         -rm -f sci_gateway/c/*.$(OBJEXT)
827         -rm -f sci_gateway/c/*.lo
828         -rm -f src/c/*.$(OBJEXT)
829         -rm -f src/c/*.lo
830
831 distclean-compile:
832         -rm -f *.tab.c
833
834 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo@am__quote@
835 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo@am__quote@
836 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo@am__quote@
837 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo@am__quote@
838 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo@am__quote@
839 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo@am__quote@
840 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo@am__quote@
841 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo@am__quote@
842 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo@am__quote@
843 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo@am__quote@
844 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo@am__quote@
845 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo@am__quote@
846 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscimpi_la-serialization.Plo@am__quote@
847
848 .c.o:
849 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
850 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
851 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
854 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
855
856 .c.obj:
857 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
858 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
859 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
863
864 .c.lo:
865 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
866 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
867 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
869 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
870 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
871
872 sci_gateway/c/libscimpi_la-sci_mpi_init.lo: sci_gateway/c/sci_mpi_init.c
873 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_init.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
874 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_init.c' object='sci_gateway/c/libscimpi_la-sci_mpi_init.lo' libtool=yes @AMDEPBACKSLASH@
876 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
877 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
878
879 sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo: sci_gateway/c/sci_mpi_finalize.c
880 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
881 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_finalize.c' object='sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo' libtool=yes @AMDEPBACKSLASH@
883 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
884 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
885
886 sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo: sci_gateway/c/sci_mpi_comm_size.c
887 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
888 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo
889 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_comm_size.c' object='sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo' libtool=yes @AMDEPBACKSLASH@
890 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
891 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
892
893 sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo: sci_gateway/c/sci_mpi_comm_rank.c
894 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
895 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_comm_rank.c' object='sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo' libtool=yes @AMDEPBACKSLASH@
897 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
898 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
899
900 sci_gateway/c/libscimpi_la-sci_mpi_recv.lo: sci_gateway/c/sci_mpi_recv.c
901 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_recv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
902 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo
903 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_recv.c' object='sci_gateway/c/libscimpi_la-sci_mpi_recv.lo' libtool=yes @AMDEPBACKSLASH@
904 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
905 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
906
907 sci_gateway/c/libscimpi_la-sci_mpi_send.lo: sci_gateway/c/sci_mpi_send.c
908 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_send.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
909 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo
910 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_send.c' object='sci_gateway/c/libscimpi_la-sci_mpi_send.lo' libtool=yes @AMDEPBACKSLASH@
911 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
912 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
913
914 sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo: sci_gateway/c/sci_mpi_irecv.c
915 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo `test -f 'sci_gateway/c/sci_mpi_irecv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_irecv.c
916 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo
917 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_irecv.c' object='sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo' libtool=yes @AMDEPBACKSLASH@
918 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
919 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo `test -f 'sci_gateway/c/sci_mpi_irecv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_irecv.c
920
921 sci_gateway/c/libscimpi_la-sci_mpi_isend.lo: sci_gateway/c/sci_mpi_isend.c
922 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_isend.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_isend.lo `test -f 'sci_gateway/c/sci_mpi_isend.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_isend.c
923 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo
924 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_isend.c' object='sci_gateway/c/libscimpi_la-sci_mpi_isend.lo' libtool=yes @AMDEPBACKSLASH@
925 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
926 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_isend.lo `test -f 'sci_gateway/c/sci_mpi_isend.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_isend.c
927
928 sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo: sci_gateway/c/sci_mpi_bcast.c
929 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo `test -f 'sci_gateway/c/sci_mpi_bcast.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_bcast.c
930 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo
931 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_bcast.c' object='sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo' libtool=yes @AMDEPBACKSLASH@
932 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
933 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo `test -f 'sci_gateway/c/sci_mpi_bcast.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_bcast.c
934
935 sci_gateway/c/libscimpi_la-sci_mpi_wait.lo: sci_gateway/c/sci_mpi_wait.c
936 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_wait.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_wait.lo `test -f 'sci_gateway/c/sci_mpi_wait.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_wait.c
937 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo
938 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_wait.c' object='sci_gateway/c/libscimpi_la-sci_mpi_wait.lo' libtool=yes @AMDEPBACKSLASH@
939 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
940 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_wait.lo `test -f 'sci_gateway/c/sci_mpi_wait.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_wait.c
941
942 sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo: sci_gateway/c/sci_mpi_get_processor_name.c
943 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo `test -f 'sci_gateway/c/sci_mpi_get_processor_name.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_get_processor_name.c
944 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo
945 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_get_processor_name.c' object='sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo' libtool=yes @AMDEPBACKSLASH@
946 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
947 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo `test -f 'sci_gateway/c/sci_mpi_get_processor_name.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_get_processor_name.c
948
949 src/c/libscimpi_la-serialization.lo: src/c/serialization.c
950 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT src/c/libscimpi_la-serialization.lo -MD -MP -MF src/c/$(DEPDIR)/libscimpi_la-serialization.Tpo -c -o src/c/libscimpi_la-serialization.lo `test -f 'src/c/serialization.c' || echo '$(srcdir)/'`src/c/serialization.c
951 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscimpi_la-serialization.Tpo src/c/$(DEPDIR)/libscimpi_la-serialization.Plo
952 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/serialization.c' object='src/c/libscimpi_la-serialization.lo' libtool=yes @AMDEPBACKSLASH@
953 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
954 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o src/c/libscimpi_la-serialization.lo `test -f 'src/c/serialization.c' || echo '$(srcdir)/'`src/c/serialization.c
955
956 src/c/libscimpi_la-deserialization.lo: src/c/deserialization.c
957 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT src/c/libscimpi_la-deserialization.lo -MD -MP -MF src/c/$(DEPDIR)/libscimpi_la-deserialization.Tpo -c -o src/c/libscimpi_la-deserialization.lo `test -f 'src/c/deserialization.c' || echo '$(srcdir)/'`src/c/deserialization.c
958 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscimpi_la-deserialization.Tpo src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo
959 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/deserialization.c' object='src/c/libscimpi_la-deserialization.lo' libtool=yes @AMDEPBACKSLASH@
960 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
961 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o src/c/libscimpi_la-deserialization.lo `test -f 'src/c/deserialization.c' || echo '$(srcdir)/'`src/c/deserialization.c
962
963 mostlyclean-libtool:
964         -rm -f *.lo
965
966 clean-libtool:
967         -rm -rf .libs _libs
968         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
969         -rm -rf src/c/.libs src/c/_libs
970 install-libscimpi_la_etcDATA: $(libscimpi_la_etc_DATA)
971         @$(NORMAL_INSTALL)
972         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
973         if test -n "$$list"; then \
974           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
975           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_etcdir)" || exit 1; \
976         fi; \
977         for p in $$list; do \
978           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
979           echo "$$d$$p"; \
980         done | $(am__base_list) | \
981         while read files; do \
982           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
983           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_etcdir)" || exit $$?; \
984         done
985
986 uninstall-libscimpi_la_etcDATA:
987         @$(NORMAL_UNINSTALL)
988         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
989         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
990         dir='$(DESTDIR)$(libscimpi_la_etcdir)'; $(am__uninstall_files_from_dir)
991 install-libscimpi_la_rootDATA: $(libscimpi_la_root_DATA)
992         @$(NORMAL_INSTALL)
993         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
994         if test -n "$$list"; then \
995           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
996           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_rootdir)" || exit 1; \
997         fi; \
998         for p in $$list; do \
999           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1000           echo "$$d$$p"; \
1001         done | $(am__base_list) | \
1002         while read files; do \
1003           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
1004           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_rootdir)" || exit $$?; \
1005         done
1006
1007 uninstall-libscimpi_la_rootDATA:
1008         @$(NORMAL_UNINSTALL)
1009         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
1010         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1011         dir='$(DESTDIR)$(libscimpi_la_rootdir)'; $(am__uninstall_files_from_dir)
1012 install-libscimpi_la_sci_gatewayDATA: $(libscimpi_la_sci_gateway_DATA)
1013         @$(NORMAL_INSTALL)
1014         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
1015         if test -n "$$list"; then \
1016           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
1017           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit 1; \
1018         fi; \
1019         for p in $$list; do \
1020           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1021           echo "$$d$$p"; \
1022         done | $(am__base_list) | \
1023         while read files; do \
1024           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
1025           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit $$?; \
1026         done
1027
1028 uninstall-libscimpi_la_sci_gatewayDATA:
1029         @$(NORMAL_UNINSTALL)
1030         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
1031         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1032         dir='$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1033 install-libscimpi_la_includeHEADERS: $(libscimpi_la_include_HEADERS)
1034         @$(NORMAL_INSTALL)
1035         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
1036         if test -n "$$list"; then \
1037           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_includedir)'"; \
1038           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_includedir)" || exit 1; \
1039         fi; \
1040         for p in $$list; do \
1041           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1042           echo "$$d$$p"; \
1043         done | $(am__base_list) | \
1044         while read files; do \
1045           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscimpi_la_includedir)'"; \
1046           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscimpi_la_includedir)" || exit $$?; \
1047         done
1048
1049 uninstall-libscimpi_la_includeHEADERS:
1050         @$(NORMAL_UNINSTALL)
1051         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
1052         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1053         dir='$(DESTDIR)$(libscimpi_la_includedir)'; $(am__uninstall_files_from_dir)
1054
1055 ID: $(am__tagged_files)
1056         $(am__define_uniq_tagged_files); mkid -fID $$unique
1057 tags: tags-am
1058 TAGS: tags
1059
1060 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1061         set x; \
1062         here=`pwd`; \
1063         $(am__define_uniq_tagged_files); \
1064         shift; \
1065         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1066           test -n "$$unique" || unique=$$empty_fix; \
1067           if test $$# -gt 0; then \
1068             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1069               "$$@" $$unique; \
1070           else \
1071             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1072               $$unique; \
1073           fi; \
1074         fi
1075 ctags: ctags-am
1076
1077 CTAGS: ctags
1078 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1079         $(am__define_uniq_tagged_files); \
1080         test -z "$(CTAGS_ARGS)$$unique" \
1081           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1082              $$unique
1083
1084 GTAGS:
1085         here=`$(am__cd) $(top_builddir) && pwd` \
1086           && $(am__cd) $(top_srcdir) \
1087           && gtags -i $(GTAGS_ARGS) "$$here"
1088 cscopelist: cscopelist-am
1089
1090 cscopelist-am: $(am__tagged_files)
1091         list='$(am__tagged_files)'; \
1092         case "$(srcdir)" in \
1093           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1094           *) sdir=$(subdir)/$(srcdir) ;; \
1095         esac; \
1096         for i in $$list; do \
1097           if test -f "$$i"; then \
1098             echo "$(subdir)/$$i"; \
1099           else \
1100             echo "$$sdir/$$i"; \
1101           fi; \
1102         done >> $(top_builddir)/cscope.files
1103
1104 distclean-tags:
1105         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1106
1107 distdir: $(DISTFILES)
1108         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1109         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1110         list='$(DISTFILES)'; \
1111           dist_files=`for file in $$list; do echo $$file; done | \
1112           sed -e "s|^$$srcdirstrip/||;t" \
1113               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1114         case $$dist_files in \
1115           */*) $(MKDIR_P) `echo "$$dist_files" | \
1116                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1117                            sort -u` ;; \
1118         esac; \
1119         for file in $$dist_files; do \
1120           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1121           if test -d $$d/$$file; then \
1122             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1123             if test -d "$(distdir)/$$file"; then \
1124               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1125             fi; \
1126             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1127               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1128               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1129             fi; \
1130             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1131           else \
1132             test -f "$(distdir)/$$file" \
1133             || cp -p $$d/$$file "$(distdir)/$$file" \
1134             || exit 1; \
1135           fi; \
1136         done
1137 check-am: all-am
1138         $(MAKE) $(AM_MAKEFLAGS) check-local
1139 check: check-am
1140 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1141 installdirs:
1142         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscimpi_la_etcdir)" "$(DESTDIR)$(libscimpi_la_rootdir)" "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" "$(DESTDIR)$(libscimpi_la_includedir)"; do \
1143           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1144         done
1145 install: install-am
1146 install-exec: install-exec-am
1147 install-data: install-data-am
1148 uninstall: uninstall-am
1149
1150 install-am: all-am
1151         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1152
1153 installcheck: installcheck-am
1154 install-strip:
1155         if test -z '$(STRIP)'; then \
1156           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1157             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1158               install; \
1159         else \
1160           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1161             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1162             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1163         fi
1164 mostlyclean-generic:
1165
1166 clean-generic:
1167
1168 distclean-generic:
1169         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1170         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1171         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1172         -rm -f sci_gateway/c/$(am__dirstamp)
1173         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1174         -rm -f src/c/$(am__dirstamp)
1175
1176 maintainer-clean-generic:
1177         @echo "This command is intended for maintainers to use"
1178         @echo "it deletes files that may require special tools to rebuild."
1179 clean: clean-am
1180
1181 clean-am: clean-generic clean-libtool clean-local \
1182         clean-pkglibLTLIBRARIES mostlyclean-am
1183
1184 distclean: distclean-am
1185         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR)
1186         -rm -f Makefile
1187 distclean-am: clean-am distclean-compile distclean-generic \
1188         distclean-local distclean-tags
1189
1190 dvi: dvi-am
1191
1192 dvi-am:
1193
1194 html: html-am
1195
1196 html-am:
1197
1198 info: info-am
1199
1200 info-am:
1201
1202 install-data-am: install-data-local install-libscimpi_la_etcDATA \
1203         install-libscimpi_la_includeHEADERS \
1204         install-libscimpi_la_rootDATA \
1205         install-libscimpi_la_sci_gatewayDATA
1206
1207 install-dvi: install-dvi-am
1208
1209 install-dvi-am:
1210
1211 install-exec-am: install-pkglibLTLIBRARIES
1212
1213 install-html: install-html-am
1214
1215 install-html-am: install-html-local
1216
1217 install-info: install-info-am
1218
1219 install-info-am:
1220
1221 install-man:
1222
1223 install-pdf: install-pdf-am
1224
1225 install-pdf-am:
1226
1227 install-ps: install-ps-am
1228
1229 install-ps-am:
1230
1231 installcheck-am:
1232
1233 maintainer-clean: maintainer-clean-am
1234         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR)
1235         -rm -f Makefile
1236 maintainer-clean-am: distclean-am maintainer-clean-generic
1237
1238 mostlyclean: mostlyclean-am
1239
1240 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1241         mostlyclean-libtool
1242
1243 pdf: pdf-am
1244
1245 pdf-am:
1246
1247 ps: ps-am
1248
1249 ps-am:
1250
1251 uninstall-am: uninstall-libscimpi_la_etcDATA \
1252         uninstall-libscimpi_la_includeHEADERS \
1253         uninstall-libscimpi_la_rootDATA \
1254         uninstall-libscimpi_la_sci_gatewayDATA \
1255         uninstall-pkglibLTLIBRARIES
1256
1257 .MAKE: check-am install-am install-strip
1258
1259 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1260         check-local clean clean-generic clean-libtool clean-local \
1261         clean-pkglibLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1262         distclean-compile distclean-generic distclean-libtool \
1263         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1264         info info-am install install-am install-data install-data-am \
1265         install-data-local install-dvi install-dvi-am install-exec \
1266         install-exec-am install-html install-html-am \
1267         install-html-local install-info install-info-am \
1268         install-libscimpi_la_etcDATA \
1269         install-libscimpi_la_includeHEADERS \
1270         install-libscimpi_la_rootDATA \
1271         install-libscimpi_la_sci_gatewayDATA install-man install-pdf \
1272         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1273         install-ps-am install-strip installcheck installcheck-am \
1274         installdirs maintainer-clean maintainer-clean-generic \
1275         mostlyclean mostlyclean-compile mostlyclean-generic \
1276         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1277         uninstall-am uninstall-libscimpi_la_etcDATA \
1278         uninstall-libscimpi_la_includeHEADERS \
1279         uninstall-libscimpi_la_rootDATA \
1280         uninstall-libscimpi_la_sci_gatewayDATA \
1281         uninstall-pkglibLTLIBRARIES
1282
1283 .PRECIOUS: Makefile
1284
1285
1286 # This target enables tests for Scilab
1287 check-local: $(top_builddir)/scilab-bin test
1288         if test -d $(mydatadir)/tests; then \
1289           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1290         fi
1291 check-code:
1292         if test -f build.xml; then \
1293                 $(ANT) checkstyle; \
1294         fi
1295         if test -x "$(SPLINT)"; then \
1296                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1297         fi
1298 @NEED_JAVA_TRUE@java:
1299 # Some configurations needs to export JAVA_HOME in the current env
1300 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1301 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1302 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1303 @NEED_JAVA_TRUE@                $(ANT); \
1304 @NEED_JAVA_TRUE@        fi
1305
1306 @NEED_JAVA_TRUE@clean-java:
1307 # Some configurations needs to export JAVA_HOME in the current env
1308 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1309 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1310 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1311 @NEED_JAVA_TRUE@                $(ANT) clean; \
1312 @NEED_JAVA_TRUE@        fi;
1313
1314 # If the user request for the SWIG generation of the wrappers Java => C/C++
1315 # We call the target swig-build on the variable SWIG_WRAPPERS
1316
1317 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1318 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1319 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1320 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1321 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1322 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1323 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1324 @SWIG_TRUE@             done; \
1325 @SWIG_TRUE@     fi
1326
1327 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1328 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1329 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1330 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1331 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1332 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1333 @SWIG_TRUE@             done; \
1334 @SWIG_TRUE@     fi
1335
1336 # If the user request for the SWIG generation of the wrappers Java => C/C++
1337 # We call the target swig-build on the variable SWIG_WRAPPERS
1338
1339 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1340 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1341 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1342 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1343 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1344 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1345 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1346 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1347 @GIWS_TRUE@                     else \
1348 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1349 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1350 @GIWS_TRUE@                     fi \
1351 @GIWS_TRUE@             done; \
1352 @GIWS_TRUE@     fi
1353
1354 @GIWS_TRUE@giws-exception:
1355 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1356 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1357 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1358
1359 macros:
1360         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1361                 echo "Error : Cannot build $< : Scilab has not been built"; \
1362         else \
1363                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1364         fi)
1365
1366 # Removes the macros
1367 clean-macros:
1368 # Removes macros (*.bin generated from .sci)
1369         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1370                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1371                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1372         done
1373
1374 test:
1375 # More tests could be added here
1376         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1377         if test -f build.xml -a $$USEANT -eq 1; then \
1378                 $(ANT) test; \
1379         fi
1380
1381 all-local: $(TARGETS_ALL)
1382
1383 .sci.bin:
1384         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1385         echo "Error : Cannot build $< : Scilab has not been build"; \
1386         else \
1387         echo "Creating $@"; \
1388         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1389         fi )
1390
1391 install-html-local:
1392
1393 install-data-local-local:
1394 # Mainly for javasci
1395         @if test -d $(srcdir)/javadoc; then \
1396                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1397         fi
1398 # If the user wants the help sources to be installed
1399 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1400 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1401 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1402 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1403 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1404 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1405 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1406 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1407 @INSTALL_HELP_XML_TRUE@           done ; \
1408 @INSTALL_HELP_XML_TRUE@         fi; \
1409 @INSTALL_HELP_XML_TRUE@  fi; \
1410 @INSTALL_HELP_XML_TRUE@ done; \
1411 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1412 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1413 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1414 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1415 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1416 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1417 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1418 @INSTALL_HELP_XML_TRUE@           done ; \
1419 @INSTALL_HELP_XML_TRUE@         fi; \
1420 @INSTALL_HELP_XML_TRUE@ fi
1421 install-data-local:
1422 # Install the tests
1423         @echo "-------- Install tests (if any) --------"; \
1424         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1425           if test -d $(srcdir)/$$dir/; then \
1426             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1427                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1428                     if test -d "$(srcdir)/$$dir/$$file"; then \
1429                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1430                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1431                     else \
1432                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1433                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1434                     fi \
1435                   done; \
1436           fi; \
1437         done
1438 # Install the help chapter
1439         @echo "-------- Install the help chapter (if any) --------"; \
1440         for lang in $(HELP_CHAPTERLANG); do \
1441                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1442                 if test -f $$HELPFILE; then \
1443                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1444                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1445                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1446                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1447                 fi; \
1448         done
1449 # Install the demos & examples
1450         @echo "-------- Install demos & examples (if any) --------"; \
1451         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1452           if test -d $(srcdir)/$$dir/; then \
1453             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1454                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1455                     if test -d "$(srcdir)/$$dir/$$file"; then \
1456                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1457                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1458                     else \
1459                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1460                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1461                     fi \
1462                   done; \
1463           fi; \
1464         done
1465 # Install the macros
1466         @echo "-------- Install macros (if any) --------"; \
1467         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1468           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1469                 if test -d $(srcdir)/$$dir/; then \
1470                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1471                         if test -n "$(MACROSSPECIALEXT)"; then \
1472                                 specialExtDir=""; \
1473                                 for specialExt in $(MACROSSPECIALEXT); do \
1474                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1475                                 done; \
1476                                 FILELIST="$$FILELIST $$specialExtDir"; \
1477                         fi; \
1478                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1479                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1480                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1481                   done; \
1482                 fi; \
1483         done
1484 # Install java files (.jar)
1485         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1486         echo "-------- Install jar files --------"; \
1487     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1488           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1489                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1490                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1491           done ; \
1492         fi
1493
1494 ########### CLEAN ###################
1495 # Clean help (generated automatically by Scilab)
1496 # It used to clean the macro (clean-macros) but this was causing
1497 # make clean && make to fail Scilab startup
1498 @NEED_JAVA_TRUE@clean-local: clean-java
1499 @NEED_JAVA_FALSE@clean-local:
1500
1501 distclean-local:
1502         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1503
1504 .PHONY: macros java swig giws
1505
1506 # Provides macros compilation, Java compilation, cleaning
1507
1508 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1509 # Otherwise a system limit (for SysV at least) may be exceeded.
1510 .NOEXPORT: